Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 03-14-2014, 10:49 AM   #1
allthumbs
Junior Member
allthumbs began at the beginning.
 
Posts: 8
Karma: 10
Join Date: Nov 2012
Device: Samsung Galaxy SGH-1957R
Error message

calibre, version 1.24.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 718, in _install_clicked
File "site-packages\calibre\gui2\preferences\plugins.py", line 403, in check_for_add_to_toolbars
File "site.py", line 66, in load_module
ZipImportError: can't find module calibre.gui2.preferences.toolbar

This error occurred when I was trying to update my OverDrive Plugin. According to the user installed plugin screen I have the latest Overdrive plugin installed but the message above says that the plugin install failed. I'm confused!
allthumbs is offline   Reply With Quote
Old 03-14-2014, 07:15 PM   #2
jhowell
Connoisseur
jhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud ofjhowell has much to be proud of
 
jhowell's Avatar
 
Posts: 83
Karma: 27385
Join Date: Nov 2011
Location: Florida
Device: iPad 2, Kinde PW II
Quote:
Originally Posted by allthumbs View Post
calibre, version 1.24.0
ERROR: Install Plugin Failed: A problem occurred while installing this plugin. This plugin will now be uninstalled. Please post the error message in details below into the forum thread for this plugin and restart Calibre.

This error occurred when I was trying to update my OverDrive Plugin. According to the user installed plugin screen I have the latest Overdrive plugin installed but the message above says that the plugin install failed. I'm confused!
I assume you are referring to the Overdrive Link plugin, updated earlier this week. I don't know what could have caused that error to occur. Perhaps if anyone else experiences the same problem they can report it and we can see if there is a common factor.

Looking at the source code for calibre I do see a minor problem in plugin_updater.py. When an error occurs during a plugin update the new plugin is not actually uninstalled despite the message stating that it will be. The code to do the removal is only executed when calibre is run in debug mode. That explains why the plugin was not uninstalled after the error, but doesn't explain why the error occurred in the first place.

Hopefully the plugin will be working properly for you. If not then I suggest removing the plugin, restarting, and then adding it back again.
jhowell is offline   Reply With Quote
 
Enthusiast
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Error message: "TEMPLATE ERROR Single '}' encountered in format string" frank14612 Calibre 22 07-02-2013 11:05 AM
Error Message - Please Help abovebored Calibre 2 06-14-2013 01:57 PM
Error message Reader question Devices 1 03-20-2013 12:30 AM
Calibre plugIn Kindle Collections Error message "Value Error:month..." readee Plugins 4 10-10-2011 11:21 AM
error message: ERROR ITMS-4099: "Invalid ISBN: [#] at Book (MZItmspBookPac NewDay ePub 3 10-07-2010 01:47 PM


All times are GMT -4. The time now is 02:42 AM.


MobileRead.com is a privately owned, operated and funded community.